# CookBook

This folder contains examples of various JSON constructs and how to create a C++ class/contract to parse them

* [Arrays](array.md)
* [Classes](class.md)
* [Class from Array](class_from_array.md)
* [Dates](dates.md)
* [Enums](enums.md)
* [Graphs](graphs.md)
* [Key Values](key_values.md) - Map and Dictionary like things
* [Numbers](numbers.md)
* [Optional/Nullable Values](optional_values.md)
* [Parsing Individual Members](parsing_individual_members.md)
* [Parser Policies](parser_policies.md)
* [Strings](strings.md)
* [Unknown JSON and Delayed Parsing](unknown_types_and_delayed_parsing.md) - Browsing the JSON Document and delaying of parsing of specified members
* [Variant](variant.md)
* [Automatic Code Generation](automated_code_generation.md)

